
Summary: 	Keurocalc 
Name:   	keurocalc
Version: 	0.8.1
Release: 	2mdk
Url:		http://opensource.bureau-cornavin.com/keurocalc/index.html
Source0: 	keurocalc-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	arts kdelibs-devel libjpeg-devel libpng-devel XFree86-devel

Obsoletes:	kde3-keurocalc
Provides:	kde3-keurocalc

%description
KEuroCalc is a currency converter and calculator centered on the Euro. It can
convert from and to many currencies, either with a fixed conversion rate or a
variable conversion rate. It directly downloads the latest variable rates
through the Internet.

%prep

%setup -q -nkeurocalc
#make -f admin/Makefile.common

%build

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure



CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3 \
		    --disable-rpath \
		    --disable-debug \
	            --enable-final

%make

%install
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

make install prefix=%buildroot/%_prefix

install -d %buildroot/%_menudir

kdedesktop2mdkmenu.pl keurocalc Applications/Finances %buildroot/%_datadir/applnk/Applications/keurocalc.desktop %buildroot/%_menudir/keurocalc

# David - 0.03-2mdk - Provide menu's icons for all WM/DM
perl -ppi -e "s|icon=\"keurocalc.png\"|icon=\"finances_section.png\"|" %buildroot/%_menudir/keurocalc

%find_lang %{name} 

%clean
rm -fr %buildroot

%post
/sbin/ldconfig
%{update_menus}
 
%postun
/sbin/ldconfig
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%_bindir/*
#
%_menudir/*  
%_datadir/applnk/Applications/*.desktop

%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png

%dir %_docdir/HTML/en/keurocalc/
%doc %_docdir/HTML/en/keurocalc/common
%doc %_docdir/HTML/en/keurocalc/*.bz2
%doc %_docdir/HTML/en/keurocalc/*.docbook
%doc %_docdir/HTML/en/keurocalc/*.png
#%doc %_docdir/HTML/en/keurocalc/*.pot

%dir %_docdir/HTML/fr/keurocalc/
%doc %_docdir/HTML/fr/keurocalc/common
%doc %_docdir/HTML/fr/keurocalc/*.bz2
%doc %_docdir/HTML/fr/keurocalc/*.docbook
%doc %_docdir/HTML/fr/keurocalc/*.png
#%doc %_docdir/HTML/fr/keurocalc/*.po

%dir %_docdir/HTML/sv/keurocalc/
%doc %_docdir/HTML/sv/keurocalc/common
%doc %_docdir/HTML/sv/keurocalc/*.bz2
%doc %_docdir/HTML/sv/keurocalc/*.docbook
#%doc %_docdir/HTML/sv/keurocalc/*.png
#%doc %_docdir/HTML/sv/keurocalc/*.po

%dir %_docdir/HTML/et/keurocalc/
%doc %_docdir/HTML/et/keurocalc/common
%doc %_docdir/HTML/et/keurocalc/*.bz2
%doc %_docdir/HTML/et/keurocalc/*.docbook


%changelog
* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Fix 

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.0-2mdk
- Fix description and url (fix from Eric Bischoff <e.bischoff@noos.fr>)

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- 0.8.0

* Fri Dec 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Wed Dec 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Oct 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-4mdk
- Rebuild

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.6.1-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-2mdk
- Rebuild against gcc-3.2

* Fri Jul 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-4mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-3mdk
- Rebuild against gcc3.1

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Fix update-menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-1mdk
- port to kde3

* Tue Feb 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.8-1mdk
- Update code 0.5.8

* Wed Jan 23 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.7-2mdk
- Rebuild

* Tue Jan 17 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.7-1mdk
- Update code (0.5.7)

* Tue Jan 10 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.5-1mdk
- Update code (0.5.5)

* Thu Jan 08 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.4-2mdk
- Add patch0 : fix big crash (patch ok'ed by Eric Bischoff)

* Thu Jan 08 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.4-1mdk
- Update code (0.5.4)

* Wed Jan 02 2002 Laurent Montel <lmontel@mandrakesoft.com> 0.5.3-1mdk
- Update code (0.5.3)

* Wed Dec 26 2001 David BAUDENS <baudens@mandrakesoft.com> 0.03-2mdk
- Use default finances icon for menu
- Move in Applications/Finances (menu)
- Fix date of previous changelog
- Fix %%description

* Wed Dec 12 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.03-1mdk
- Initial package
